package com.mortals.xhx.module.datum.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Datum
* date: 2021-9-6 14:40:57
*/
public class DatumQuery extends DatumEntity{
    private static final long serialVersionUID = 1630910457365L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 材料名 */
    private List<String> materialNameList;
    /** 开始 基础表one_basics id */
    private Long basicsIdStart;

    /** 结束 基础表one_basics id */
    private Long basicsIdEnd;

    /** 增加 基础表one_basics id */
    private Long basicsIdIncrement;

    /** 基础表one_basics id */
    private List <Long> basicsIdList;

    /** 开始 事项表yth_matter id 表示从一体化获取的材料 */
    private Long matteridStart;

    /** 结束 事项表yth_matter id 表示从一体化获取的材料 */
    private Long matteridEnd;

    /** 增加 事项表yth_matter id 表示从一体化获取的材料 */
    private Long matteridIncrement;

    /** 事项表yth_matter id 表示从一体化获取的材料 */
    private List <Long> matteridList;

    /** 开始 材料表yth_datum id 表示从一体化获取的材料 */
    private Long datumIdStart;

    /** 结束 材料表yth_datum id 表示从一体化获取的材料 */
    private Long datumIdEnd;

    /** 增加 材料表yth_datum id 表示从一体化获取的材料 */
    private Long datumIdIncrement;

    /** 材料表yth_datum id 表示从一体化获取的材料 */
    private List <Long> datumIdList;


    /** 开始 材料形式 */
    private Integer materialPropertyStart;

    /** 结束 材料形式 */
    private Integer materialPropertyEnd;

    /** 增加 材料形式 */
    private Integer materialPropertyIncrement;

    /** 材料形式 */
    private List <Integer> materialPropertyList;

    /** 开始 是否必交，0 否 1 是 默认0 */
    private Integer isMustStart;

    /** 结束 是否必交，0 否 1 是 默认0 */
    private Integer isMustEnd;

    /** 增加 是否必交，0 否 1 是 默认0 */
    private Integer isMustIncrement;

    /** 是否必交，0 否 1 是 默认0 */
    private List <Integer> isMustList;

    /** 开始 材料类型 */
    private Integer materialTypeStart;

    /** 结束 材料类型 */
    private Integer materialTypeEnd;

    /** 增加 材料类型 */
    private Integer materialTypeIncrement;

    /** 材料类型 */
    private List <Integer> materialTypeList;

    /** 开始 电子材料格式 */
    private Integer electronicgsStart;

    /** 结束 电子材料格式 */
    private Integer electronicgsEnd;

    /** 增加 电子材料格式 */
    private Integer electronicgsIncrement;

    /** 电子材料格式 */
    private List <Integer> electronicgsList;

    /** 开始 材料来源渠道 */
    private Integer materialSourceStart;

    /** 结束 材料来源渠道 */
    private Integer materialSourceEnd;

    /** 增加 材料来源渠道 */
    private Integer materialSourceIncrement;

    /** 材料来源渠道 */
    private List <Integer> materialSourceList;

    /** 开始 纸质材料份数 */
    private Integer paperNumStart;

    /** 结束 纸质材料份数 */
    private Integer paperNumEnd;

    /** 增加 纸质材料份数 */
    private Integer paperNumIncrement;

    /** 纸质材料份数 */
    private List <Integer> paperNumList;

    /** 开始 纸质材料规格 */
    private Integer paperGgStart;

    /** 结束 纸质材料规格 */
    private Integer paperGgEnd;

    /** 增加 纸质材料规格 */
    private Integer paperGgIncrement;

    /** 纸质材料规格 */
    private List <Integer> paperGgList;

    /** 开始 减免模式 */
    private Integer jianmMsStart;

    /** 结束 减免模式 */
    private Integer jianmMsEnd;

    /** 增加 减免模式 */
    private Integer jianmMsIncrement;

    /** 减免模式 */
    private List <Integer> jianmMsList;

    /** 开始 盖章方式 */
    private Integer sealWayStart;

    /** 结束 盖章方式 */
    private Integer sealWayEnd;

    /** 增加 盖章方式 */
    private Integer sealWayIncrement;

    /** 盖章方式 */
    private List <Integer> sealWayList;

    /** 开始 是否减免 */
    private Integer isjianmStart;

    /** 结束 是否减免 */
    private Integer isjianmEnd;

    /** 增加 是否减免 */
    private Integer isjianmIncrement;

    /** 是否减免 */
    private List <Integer> isjianmList;

    /** 开始 材料是否容缺 */
    private Integer isLackStart;

    /** 结束 材料是否容缺 */
    private Integer isLackEnd;

    /** 增加 材料是否容缺 */
    private Integer isLackIncrement;

    /** 材料是否容缺 */
    private List <Integer> isLackList;

    /** 材料地址 */
    private List<String> ybUrlList;

    /** 来源渠道说明 */
    private List<String> materialSourceSmList;

    /** 填报须知 */
    private List<String> remarkSubList;

    /** 受理标准 */
    private List<String> remarkList;

    /** 要求提供材料的依据 */
    private List<String> clauseContentList;

    /** 备注 */
    private List<String> summaryList;

    /** 开始 0正常  1删除 */
    private Integer validStart;

    /** 结束 0正常  1删除 */
    private Integer validEnd;

    /** 增加 0正常  1删除 */
    private Integer validIncrement;

    /** 0正常  1删除 */
    private List <Integer> validList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DatumQuery> andConditionList;


    public DatumQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 材料名
    * @return materialNameList
    */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
    * 设置 材料名
    * @param materialNameList
    */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
    * 获取 开始 基础表one_basics id
    * @return basicsIdStart
    */
    public Long getBasicsIdStart(){
    return this.basicsIdStart;
    }

    /**
    * 设置 开始 基础表one_basics id
    * @param basicsIdStart
    */
    public void setBasicsIdStart(Long basicsIdStart){
    this.basicsIdStart = basicsIdStart;
    }

    /**
    * 获取 结束 基础表one_basics id
    * @return basicsIdEnd
    */
    public Long getBasicsIdEnd(){
    return this.basicsIdEnd;
    }

    /**
    * 设置 结束 基础表one_basics id
    * @param basicsIdEnd
    */
    public void setBasicsIdEnd(Long basicsIdEnd){
    this.basicsIdEnd = basicsIdEnd;
    }

    /**
    * 获取 增加 基础表one_basics id
    * @return basicsIdIncrement
    */
    public Long getBasicsIdIncrement(){
    return this.basicsIdIncrement;
    }

    /**
    * 设置 增加 基础表one_basics id
    * @param basicsIdIncrement
    */
    public void setBasicsIdIncrement(Long basicsIdIncrement){
    this.basicsIdIncrement = basicsIdIncrement;
    }

    /**
    * 获取 基础表one_basics id
    * @return basicsIdList
    */
    public List<Long> getBasicsIdList(){
    return this.basicsIdList;
    }

    /**
    * 设置 基础表one_basics id
    * @param basicsIdList
    */
    public void setBasicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
        }
    /**
    * 获取 开始 事项表yth_matter id 表示从一体化获取的材料
    * @return matteridStart
    */
    public Long getMatteridStart(){
    return this.matteridStart;
    }

    /**
    * 设置 开始 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridStart
    */
    public void setMatteridStart(Long matteridStart){
    this.matteridStart = matteridStart;
    }

    /**
    * 获取 结束 事项表yth_matter id 表示从一体化获取的材料
    * @return matteridEnd
    */
    public Long getMatteridEnd(){
    return this.matteridEnd;
    }

    /**
    * 设置 结束 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridEnd
    */
    public void setMatteridEnd(Long matteridEnd){
    this.matteridEnd = matteridEnd;
    }

    /**
    * 获取 增加 事项表yth_matter id 表示从一体化获取的材料
    * @return matteridIncrement
    */
    public Long getMatteridIncrement(){
    return this.matteridIncrement;
    }

    /**
    * 设置 增加 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridIncrement
    */
    public void setMatteridIncrement(Long matteridIncrement){
    this.matteridIncrement = matteridIncrement;
    }

    /**
    * 获取 事项表yth_matter id 表示从一体化获取的材料
    * @return matteridList
    */
    public List<Long> getMatteridList(){
    return this.matteridList;
    }

    /**
    * 设置 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridList
    */
    public void setMatteridList(List<Long> matteridList){
        this.matteridList = matteridList;
        }
    /**
    * 获取 开始 材料表yth_datum id 表示从一体化获取的材料
    * @return datumIdStart
    */
    public Long getDatumIdStart(){
    return this.datumIdStart;
    }

    /**
    * 设置 开始 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdStart
    */
    public void setDatumIdStart(Long datumIdStart){
    this.datumIdStart = datumIdStart;
    }

    /**
    * 获取 结束 材料表yth_datum id 表示从一体化获取的材料
    * @return datumIdEnd
    */
    public Long getDatumIdEnd(){
    return this.datumIdEnd;
    }

    /**
    * 设置 结束 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdEnd
    */
    public void setDatumIdEnd(Long datumIdEnd){
    this.datumIdEnd = datumIdEnd;
    }

    /**
    * 获取 增加 材料表yth_datum id 表示从一体化获取的材料
    * @return datumIdIncrement
    */
    public Long getDatumIdIncrement(){
    return this.datumIdIncrement;
    }

    /**
    * 设置 增加 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdIncrement
    */
    public void setDatumIdIncrement(Long datumIdIncrement){
    this.datumIdIncrement = datumIdIncrement;
    }

    /**
    * 获取 材料表yth_datum id 表示从一体化获取的材料
    * @return datumIdList
    */
    public List<Long> getDatumIdList(){
    return this.datumIdList;
    }

    /**
    * 设置 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdList
    */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
        }
    /**
    * 获取 开始 材料形式
    * @return materialPropertyStart
    */
    public Integer getMaterialPropertyStart(){
        return this.materialPropertyStart;
    }

    /**
    * 设置 开始 材料形式
    * @param materialPropertyStart
    */
    public void setMaterialPropertyStart(Integer materialPropertyStart){
        this.materialPropertyStart = materialPropertyStart;
    }

    /**
    * 获取 结束 材料形式
    * @return materialPropertyEnd
    */
    public Integer getMaterialPropertyEnd(){
        return this.materialPropertyEnd;
    }

    /**
    * 设置 结束 材料形式
    * @param materialPropertyEnd
    */
    public void setMaterialPropertyEnd(Integer materialPropertyEnd){
        this.materialPropertyEnd = materialPropertyEnd;
    }

    /**
    * 获取 增加 材料形式
    * @return materialPropertyIncrement
    */
    public Integer getMaterialPropertyIncrement(){
        return this.materialPropertyIncrement;
    }

    /**
    * 设置 增加 材料形式
    * @param materialPropertyIncrement
    */
    public void setMaterialPropertyIncrement(Integer materialPropertyIncrement){
        this.materialPropertyIncrement = materialPropertyIncrement;
    }

    /**
    * 获取 材料形式
    * @return materialPropertyList
    */
    public List<Integer> getMaterialPropertyList(){
        return this.materialPropertyList;
    }

    /**
    * 设置 材料形式
    * @param materialPropertyList
    */
    public void setMaterialPropertyList(List<Integer> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
    }
    /**
    * 获取 开始 是否必交，0 否 1 是 默认0
    * @return isMustStart
    */
    public Integer getIsMustStart(){
        return this.isMustStart;
    }

    /**
    * 设置 开始 是否必交，0 否 1 是 默认0
    * @param isMustStart
    */
    public void setIsMustStart(Integer isMustStart){
        this.isMustStart = isMustStart;
    }

    /**
    * 获取 结束 是否必交，0 否 1 是 默认0
    * @return isMustEnd
    */
    public Integer getIsMustEnd(){
        return this.isMustEnd;
    }

    /**
    * 设置 结束 是否必交，0 否 1 是 默认0
    * @param isMustEnd
    */
    public void setIsMustEnd(Integer isMustEnd){
        this.isMustEnd = isMustEnd;
    }

    /**
    * 获取 增加 是否必交，0 否 1 是 默认0
    * @return isMustIncrement
    */
    public Integer getIsMustIncrement(){
        return this.isMustIncrement;
    }

    /**
    * 设置 增加 是否必交，0 否 1 是 默认0
    * @param isMustIncrement
    */
    public void setIsMustIncrement(Integer isMustIncrement){
        this.isMustIncrement = isMustIncrement;
    }

    /**
    * 获取 是否必交，0 否 1 是 默认0
    * @return isMustList
    */
    public List<Integer> getIsMustList(){
        return this.isMustList;
    }

    /**
    * 设置 是否必交，0 否 1 是 默认0
    * @param isMustList
    */
    public void setIsMustList(List<Integer> isMustList){
        this.isMustList = isMustList;
    }
    /**
    * 获取 开始 材料类型
    * @return materialTypeStart
    */
    public Integer getMaterialTypeStart(){
        return this.materialTypeStart;
    }

    /**
    * 设置 开始 材料类型
    * @param materialTypeStart
    */
    public void setMaterialTypeStart(Integer materialTypeStart){
        this.materialTypeStart = materialTypeStart;
    }

    /**
    * 获取 结束 材料类型
    * @return materialTypeEnd
    */
    public Integer getMaterialTypeEnd(){
        return this.materialTypeEnd;
    }

    /**
    * 设置 结束 材料类型
    * @param materialTypeEnd
    */
    public void setMaterialTypeEnd(Integer materialTypeEnd){
        this.materialTypeEnd = materialTypeEnd;
    }

    /**
    * 获取 增加 材料类型
    * @return materialTypeIncrement
    */
    public Integer getMaterialTypeIncrement(){
        return this.materialTypeIncrement;
    }

    /**
    * 设置 增加 材料类型
    * @param materialTypeIncrement
    */
    public void setMaterialTypeIncrement(Integer materialTypeIncrement){
        this.materialTypeIncrement = materialTypeIncrement;
    }

    /**
    * 获取 材料类型
    * @return materialTypeList
    */
    public List<Integer> getMaterialTypeList(){
        return this.materialTypeList;
    }

    /**
    * 设置 材料类型
    * @param materialTypeList
    */
    public void setMaterialTypeList(List<Integer> materialTypeList){
        this.materialTypeList = materialTypeList;
    }
    /**
    * 获取 开始 电子材料格式
    * @return electronicgsStart
    */
    public Integer getElectronicgsStart(){
        return this.electronicgsStart;
    }

    /**
    * 设置 开始 电子材料格式
    * @param electronicgsStart
    */
    public void setElectronicgsStart(Integer electronicgsStart){
        this.electronicgsStart = electronicgsStart;
    }

    /**
    * 获取 结束 电子材料格式
    * @return electronicgsEnd
    */
    public Integer getElectronicgsEnd(){
        return this.electronicgsEnd;
    }

    /**
    * 设置 结束 电子材料格式
    * @param electronicgsEnd
    */
    public void setElectronicgsEnd(Integer electronicgsEnd){
        this.electronicgsEnd = electronicgsEnd;
    }

    /**
    * 获取 增加 电子材料格式
    * @return electronicgsIncrement
    */
    public Integer getElectronicgsIncrement(){
        return this.electronicgsIncrement;
    }

    /**
    * 设置 增加 电子材料格式
    * @param electronicgsIncrement
    */
    public void setElectronicgsIncrement(Integer electronicgsIncrement){
        this.electronicgsIncrement = electronicgsIncrement;
    }

    /**
    * 获取 电子材料格式
    * @return electronicgsList
    */
    public List<Integer> getElectronicgsList(){
        return this.electronicgsList;
    }

    /**
    * 设置 电子材料格式
    * @param electronicgsList
    */
    public void setElectronicgsList(List<Integer> electronicgsList){
        this.electronicgsList = electronicgsList;
    }
    /**
    * 获取 开始 材料来源渠道
    * @return materialSourceStart
    */
    public Integer getMaterialSourceStart(){
        return this.materialSourceStart;
    }

    /**
    * 设置 开始 材料来源渠道
    * @param materialSourceStart
    */
    public void setMaterialSourceStart(Integer materialSourceStart){
        this.materialSourceStart = materialSourceStart;
    }

    /**
    * 获取 结束 材料来源渠道
    * @return materialSourceEnd
    */
    public Integer getMaterialSourceEnd(){
        return this.materialSourceEnd;
    }

    /**
    * 设置 结束 材料来源渠道
    * @param materialSourceEnd
    */
    public void setMaterialSourceEnd(Integer materialSourceEnd){
        this.materialSourceEnd = materialSourceEnd;
    }

    /**
    * 获取 增加 材料来源渠道
    * @return materialSourceIncrement
    */
    public Integer getMaterialSourceIncrement(){
        return this.materialSourceIncrement;
    }

    /**
    * 设置 增加 材料来源渠道
    * @param materialSourceIncrement
    */
    public void setMaterialSourceIncrement(Integer materialSourceIncrement){
        this.materialSourceIncrement = materialSourceIncrement;
    }

    /**
    * 获取 材料来源渠道
    * @return materialSourceList
    */
    public List<Integer> getMaterialSourceList(){
        return this.materialSourceList;
    }

    /**
    * 设置 材料来源渠道
    * @param materialSourceList
    */
    public void setMaterialSourceList(List<Integer> materialSourceList){
        this.materialSourceList = materialSourceList;
    }
    /**
    * 获取 开始 纸质材料份数
    * @return paperNumStart
    */
    public Integer getPaperNumStart(){
        return this.paperNumStart;
    }

    /**
    * 设置 开始 纸质材料份数
    * @param paperNumStart
    */
    public void setPaperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
    }

    /**
    * 获取 结束 纸质材料份数
    * @return paperNumEnd
    */
    public Integer getPaperNumEnd(){
        return this.paperNumEnd;
    }

    /**
    * 设置 结束 纸质材料份数
    * @param paperNumEnd
    */
    public void setPaperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
    }

    /**
    * 获取 增加 纸质材料份数
    * @return paperNumIncrement
    */
    public Integer getPaperNumIncrement(){
        return this.paperNumIncrement;
    }

    /**
    * 设置 增加 纸质材料份数
    * @param paperNumIncrement
    */
    public void setPaperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
    }

    /**
    * 获取 纸质材料份数
    * @return paperNumList
    */
    public List<Integer> getPaperNumList(){
        return this.paperNumList;
    }

    /**
    * 设置 纸质材料份数
    * @param paperNumList
    */
    public void setPaperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
    }
    /**
    * 获取 开始 纸质材料规格
    * @return paperGgStart
    */
    public Integer getPaperGgStart(){
        return this.paperGgStart;
    }

    /**
    * 设置 开始 纸质材料规格
    * @param paperGgStart
    */
    public void setPaperGgStart(Integer paperGgStart){
        this.paperGgStart = paperGgStart;
    }

    /**
    * 获取 结束 纸质材料规格
    * @return paperGgEnd
    */
    public Integer getPaperGgEnd(){
        return this.paperGgEnd;
    }

    /**
    * 设置 结束 纸质材料规格
    * @param paperGgEnd
    */
    public void setPaperGgEnd(Integer paperGgEnd){
        this.paperGgEnd = paperGgEnd;
    }

    /**
    * 获取 增加 纸质材料规格
    * @return paperGgIncrement
    */
    public Integer getPaperGgIncrement(){
        return this.paperGgIncrement;
    }

    /**
    * 设置 增加 纸质材料规格
    * @param paperGgIncrement
    */
    public void setPaperGgIncrement(Integer paperGgIncrement){
        this.paperGgIncrement = paperGgIncrement;
    }

    /**
    * 获取 纸质材料规格
    * @return paperGgList
    */
    public List<Integer> getPaperGgList(){
        return this.paperGgList;
    }

    /**
    * 设置 纸质材料规格
    * @param paperGgList
    */
    public void setPaperGgList(List<Integer> paperGgList){
        this.paperGgList = paperGgList;
    }
    /**
    * 获取 开始 减免模式
    * @return jianmMsStart
    */
    public Integer getJianmMsStart(){
        return this.jianmMsStart;
    }

    /**
    * 设置 开始 减免模式
    * @param jianmMsStart
    */
    public void setJianmMsStart(Integer jianmMsStart){
        this.jianmMsStart = jianmMsStart;
    }

    /**
    * 获取 结束 减免模式
    * @return jianmMsEnd
    */
    public Integer getJianmMsEnd(){
        return this.jianmMsEnd;
    }

    /**
    * 设置 结束 减免模式
    * @param jianmMsEnd
    */
    public void setJianmMsEnd(Integer jianmMsEnd){
        this.jianmMsEnd = jianmMsEnd;
    }

    /**
    * 获取 增加 减免模式
    * @return jianmMsIncrement
    */
    public Integer getJianmMsIncrement(){
        return this.jianmMsIncrement;
    }

    /**
    * 设置 增加 减免模式
    * @param jianmMsIncrement
    */
    public void setJianmMsIncrement(Integer jianmMsIncrement){
        this.jianmMsIncrement = jianmMsIncrement;
    }

    /**
    * 获取 减免模式
    * @return jianmMsList
    */
    public List<Integer> getJianmMsList(){
        return this.jianmMsList;
    }

    /**
    * 设置 减免模式
    * @param jianmMsList
    */
    public void setJianmMsList(List<Integer> jianmMsList){
        this.jianmMsList = jianmMsList;
    }
    /**
    * 获取 开始 盖章方式
    * @return sealWayStart
    */
    public Integer getSealWayStart(){
        return this.sealWayStart;
    }

    /**
    * 设置 开始 盖章方式
    * @param sealWayStart
    */
    public void setSealWayStart(Integer sealWayStart){
        this.sealWayStart = sealWayStart;
    }

    /**
    * 获取 结束 盖章方式
    * @return sealWayEnd
    */
    public Integer getSealWayEnd(){
        return this.sealWayEnd;
    }

    /**
    * 设置 结束 盖章方式
    * @param sealWayEnd
    */
    public void setSealWayEnd(Integer sealWayEnd){
        this.sealWayEnd = sealWayEnd;
    }

    /**
    * 获取 增加 盖章方式
    * @return sealWayIncrement
    */
    public Integer getSealWayIncrement(){
        return this.sealWayIncrement;
    }

    /**
    * 设置 增加 盖章方式
    * @param sealWayIncrement
    */
    public void setSealWayIncrement(Integer sealWayIncrement){
        this.sealWayIncrement = sealWayIncrement;
    }

    /**
    * 获取 盖章方式
    * @return sealWayList
    */
    public List<Integer> getSealWayList(){
        return this.sealWayList;
    }

    /**
    * 设置 盖章方式
    * @param sealWayList
    */
    public void setSealWayList(List<Integer> sealWayList){
        this.sealWayList = sealWayList;
    }
    /**
    * 获取 开始 是否减免
    * @return isjianmStart
    */
    public Integer getIsjianmStart(){
        return this.isjianmStart;
    }

    /**
    * 设置 开始 是否减免
    * @param isjianmStart
    */
    public void setIsjianmStart(Integer isjianmStart){
        this.isjianmStart = isjianmStart;
    }

    /**
    * 获取 结束 是否减免
    * @return isjianmEnd
    */
    public Integer getIsjianmEnd(){
        return this.isjianmEnd;
    }

    /**
    * 设置 结束 是否减免
    * @param isjianmEnd
    */
    public void setIsjianmEnd(Integer isjianmEnd){
        this.isjianmEnd = isjianmEnd;
    }

    /**
    * 获取 增加 是否减免
    * @return isjianmIncrement
    */
    public Integer getIsjianmIncrement(){
        return this.isjianmIncrement;
    }

    /**
    * 设置 增加 是否减免
    * @param isjianmIncrement
    */
    public void setIsjianmIncrement(Integer isjianmIncrement){
        this.isjianmIncrement = isjianmIncrement;
    }

    /**
    * 获取 是否减免
    * @return isjianmList
    */
    public List<Integer> getIsjianmList(){
        return this.isjianmList;
    }

    /**
    * 设置 是否减免
    * @param isjianmList
    */
    public void setIsjianmList(List<Integer> isjianmList){
        this.isjianmList = isjianmList;
    }
    /**
    * 获取 开始 材料是否容缺
    * @return isLackStart
    */
    public Integer getIsLackStart(){
        return this.isLackStart;
    }

    /**
    * 设置 开始 材料是否容缺
    * @param isLackStart
    */
    public void setIsLackStart(Integer isLackStart){
        this.isLackStart = isLackStart;
    }

    /**
    * 获取 结束 材料是否容缺
    * @return isLackEnd
    */
    public Integer getIsLackEnd(){
        return this.isLackEnd;
    }

    /**
    * 设置 结束 材料是否容缺
    * @param isLackEnd
    */
    public void setIsLackEnd(Integer isLackEnd){
        this.isLackEnd = isLackEnd;
    }

    /**
    * 获取 增加 材料是否容缺
    * @return isLackIncrement
    */
    public Integer getIsLackIncrement(){
        return this.isLackIncrement;
    }

    /**
    * 设置 增加 材料是否容缺
    * @param isLackIncrement
    */
    public void setIsLackIncrement(Integer isLackIncrement){
        this.isLackIncrement = isLackIncrement;
    }

    /**
    * 获取 材料是否容缺
    * @return isLackList
    */
    public List<Integer> getIsLackList(){
        return this.isLackList;
    }

    /**
    * 设置 材料是否容缺
    * @param isLackList
    */
    public void setIsLackList(List<Integer> isLackList){
        this.isLackList = isLackList;
    }
    /**
    * 获取 材料地址
    * @return ybUrlList
    */
    public List<String> getYbUrlList(){
        return this.ybUrlList;
    }

    /**
    * 设置 材料地址
    * @param ybUrlList
    */
    public void setYbUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
    }
    /**
    * 获取 来源渠道说明
    * @return materialSourceSmList
    */
    public List<String> getMaterialSourceSmList(){
        return this.materialSourceSmList;
    }

    /**
    * 设置 来源渠道说明
    * @param materialSourceSmList
    */
    public void setMaterialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
    }
    /**
    * 获取 填报须知
    * @return remarkSubList
    */
    public List<String> getRemarkSubList(){
        return this.remarkSubList;
    }

    /**
    * 设置 填报须知
    * @param remarkSubList
    */
    public void setRemarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
    }
    /**
    * 获取 受理标准
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 受理标准
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 要求提供材料的依据
    * @return clauseContentList
    */
    public List<String> getClauseContentList(){
        return this.clauseContentList;
    }

    /**
    * 设置 要求提供材料的依据
    * @param clauseContentList
    */
    public void setClauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
    }
    /**
    * 获取 备注
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 开始 0正常  1删除
    * @return validStart
    */
    public Integer getValidStart(){
        return this.validStart;
    }

    /**
    * 设置 开始 0正常  1删除
    * @param validStart
    */
    public void setValidStart(Integer validStart){
        this.validStart = validStart;
    }

    /**
    * 获取 结束 0正常  1删除
    * @return validEnd
    */
    public Integer getValidEnd(){
        return this.validEnd;
    }

    /**
    * 设置 结束 0正常  1删除
    * @param validEnd
    */
    public void setValidEnd(Integer validEnd){
        this.validEnd = validEnd;
    }

    /**
    * 获取 增加 0正常  1删除
    * @return validIncrement
    */
    public Integer getValidIncrement(){
        return this.validIncrement;
    }

    /**
    * 设置 增加 0正常  1删除
    * @param validIncrement
    */
    public void setValidIncrement(Integer validIncrement){
        this.validIncrement = validIncrement;
    }

    /**
    * 获取 0正常  1删除
    * @return validList
    */
    public List<Integer> getValidList(){
        return this.validList;
    }

    /**
    * 设置 0正常  1删除
    * @param validList
    */
    public void setValidList(List<Integer> validList){
        this.validList = validList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public DatumQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public DatumQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public DatumQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public DatumQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public DatumQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 材料名
    * @param materialName
    */
    public DatumQuery materialName(String materialName){
        setMaterialName(materialName);
		return this;
    }


    /**
    * 设置 材料名
    * @param materialNameList
    */
    public DatumQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
		return this;
    }

	/**
    * 设置  基础表one_basics id
    * @param basicsId
    */
    public DatumQuery basicsId(Long basicsId){
	    setBasicsId(basicsId);
		return this;
    }
	
	 /**
    * 设置 开始 基础表one_basics id
    * @param basicsIdStart
    */
    public DatumQuery basicsIdStart(Long basicsIdStart){
		this.basicsIdStart = basicsIdStart;
		return this;
    }

    /**
    * 设置 结束 基础表one_basics id
    * @param basicsIdEnd
    */
    public DatumQuery basicsIdEnd(Long basicsIdEnd){
		this.basicsIdEnd = basicsIdEnd;
		return this;
    }

    /**
    * 设置 增加 基础表one_basics id
    * @param basicsIdIncrement
    */
    public DatumQuery basicsIdIncrement(Long basicsIdIncrement){
		this.basicsIdIncrement = basicsIdIncrement;
		return this;
    }

    /**
    * 设置 基础表one_basics id
    * @param basicsIdList
    */
    public DatumQuery basicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
		return this;
        }

	/**
    * 设置  事项表yth_matter id 表示从一体化获取的材料
    * @param matterid
    */
    public DatumQuery matterid(Long matterid){
	    setMatterid(matterid);
		return this;
    }
	
	 /**
    * 设置 开始 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridStart
    */
    public DatumQuery matteridStart(Long matteridStart){
		this.matteridStart = matteridStart;
		return this;
    }

    /**
    * 设置 结束 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridEnd
    */
    public DatumQuery matteridEnd(Long matteridEnd){
		this.matteridEnd = matteridEnd;
		return this;
    }

    /**
    * 设置 增加 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridIncrement
    */
    public DatumQuery matteridIncrement(Long matteridIncrement){
		this.matteridIncrement = matteridIncrement;
		return this;
    }

    /**
    * 设置 事项表yth_matter id 表示从一体化获取的材料
    * @param matteridList
    */
    public DatumQuery matteridList(List<Long> matteridList){
        this.matteridList = matteridList;
		return this;
        }

	/**
    * 设置  材料表yth_datum id 表示从一体化获取的材料
    * @param datumId
    */
    public DatumQuery datumId(Long datumId){
	    setDatumId(datumId);
		return this;
    }
	
	 /**
    * 设置 开始 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdStart
    */
    public DatumQuery datumIdStart(Long datumIdStart){
		this.datumIdStart = datumIdStart;
		return this;
    }

    /**
    * 设置 结束 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdEnd
    */
    public DatumQuery datumIdEnd(Long datumIdEnd){
		this.datumIdEnd = datumIdEnd;
		return this;
    }

    /**
    * 设置 增加 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdIncrement
    */
    public DatumQuery datumIdIncrement(Long datumIdIncrement){
		this.datumIdIncrement = datumIdIncrement;
		return this;
    }

    /**
    * 设置 材料表yth_datum id 表示从一体化获取的材料
    * @param datumIdList
    */
    public DatumQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
		return this;
        }
	
	/**
    * 设置  材料形式
    * @param materialProperty
    */
    public DatumQuery materialProperty(Integer materialProperty){
        setMaterialProperty(materialProperty);
		return this;
    }

    /**
    * 设置 开始 材料形式
    * @param materialPropertyStart
    */
    public DatumQuery materialPropertyStart(Integer materialPropertyStart){
        this.materialPropertyStart = materialPropertyStart;
		return this;
    }


    /**
    * 设置 结束 材料形式
    * @param materialPropertyEnd
    */
    public DatumQuery materialPropertyEnd(Integer materialPropertyEnd){
        this.materialPropertyEnd = materialPropertyEnd;
		return this;
    }


    /**
    * 设置 增加 材料形式
    * @param materialPropertyIncrement
    */
    public DatumQuery materialPropertyIncrement(Integer materialPropertyIncrement){
        this.materialPropertyIncrement = materialPropertyIncrement;
		return this;
    }


    /**
    * 设置 材料形式
    * @param materialPropertyList
    */
    public DatumQuery materialPropertyList(List<Integer> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
		return this;
    }
	
	/**
    * 设置  是否必交，0 否 1 是 默认0
    * @param isMust
    */
    public DatumQuery isMust(Integer isMust){
        setIsMust(isMust);
		return this;
    }

    /**
    * 设置 开始 是否必交，0 否 1 是 默认0
    * @param isMustStart
    */
    public DatumQuery isMustStart(Integer isMustStart){
        this.isMustStart = isMustStart;
		return this;
    }


    /**
    * 设置 结束 是否必交，0 否 1 是 默认0
    * @param isMustEnd
    */
    public DatumQuery isMustEnd(Integer isMustEnd){
        this.isMustEnd = isMustEnd;
		return this;
    }


    /**
    * 设置 增加 是否必交，0 否 1 是 默认0
    * @param isMustIncrement
    */
    public DatumQuery isMustIncrement(Integer isMustIncrement){
        this.isMustIncrement = isMustIncrement;
		return this;
    }


    /**
    * 设置 是否必交，0 否 1 是 默认0
    * @param isMustList
    */
    public DatumQuery isMustList(List<Integer> isMustList){
        this.isMustList = isMustList;
		return this;
    }
	
	/**
    * 设置  材料类型
    * @param materialType
    */
    public DatumQuery materialType(Integer materialType){
        setMaterialType(materialType);
		return this;
    }

    /**
    * 设置 开始 材料类型
    * @param materialTypeStart
    */
    public DatumQuery materialTypeStart(Integer materialTypeStart){
        this.materialTypeStart = materialTypeStart;
		return this;
    }


    /**
    * 设置 结束 材料类型
    * @param materialTypeEnd
    */
    public DatumQuery materialTypeEnd(Integer materialTypeEnd){
        this.materialTypeEnd = materialTypeEnd;
		return this;
    }


    /**
    * 设置 增加 材料类型
    * @param materialTypeIncrement
    */
    public DatumQuery materialTypeIncrement(Integer materialTypeIncrement){
        this.materialTypeIncrement = materialTypeIncrement;
		return this;
    }


    /**
    * 设置 材料类型
    * @param materialTypeList
    */
    public DatumQuery materialTypeList(List<Integer> materialTypeList){
        this.materialTypeList = materialTypeList;
		return this;
    }
	
	/**
    * 设置  电子材料格式
    * @param electronicgs
    */
    public DatumQuery electronicgs(Integer electronicgs){
        setElectronicgs(electronicgs);
		return this;
    }

    /**
    * 设置 开始 电子材料格式
    * @param electronicgsStart
    */
    public DatumQuery electronicgsStart(Integer electronicgsStart){
        this.electronicgsStart = electronicgsStart;
		return this;
    }


    /**
    * 设置 结束 电子材料格式
    * @param electronicgsEnd
    */
    public DatumQuery electronicgsEnd(Integer electronicgsEnd){
        this.electronicgsEnd = electronicgsEnd;
		return this;
    }


    /**
    * 设置 增加 电子材料格式
    * @param electronicgsIncrement
    */
    public DatumQuery electronicgsIncrement(Integer electronicgsIncrement){
        this.electronicgsIncrement = electronicgsIncrement;
		return this;
    }


    /**
    * 设置 电子材料格式
    * @param electronicgsList
    */
    public DatumQuery electronicgsList(List<Integer> electronicgsList){
        this.electronicgsList = electronicgsList;
		return this;
    }
	
	/**
    * 设置  材料来源渠道
    * @param materialSource
    */
    public DatumQuery materialSource(Integer materialSource){
        setMaterialSource(materialSource);
		return this;
    }

    /**
    * 设置 开始 材料来源渠道
    * @param materialSourceStart
    */
    public DatumQuery materialSourceStart(Integer materialSourceStart){
        this.materialSourceStart = materialSourceStart;
		return this;
    }


    /**
    * 设置 结束 材料来源渠道
    * @param materialSourceEnd
    */
    public DatumQuery materialSourceEnd(Integer materialSourceEnd){
        this.materialSourceEnd = materialSourceEnd;
		return this;
    }


    /**
    * 设置 增加 材料来源渠道
    * @param materialSourceIncrement
    */
    public DatumQuery materialSourceIncrement(Integer materialSourceIncrement){
        this.materialSourceIncrement = materialSourceIncrement;
		return this;
    }


    /**
    * 设置 材料来源渠道
    * @param materialSourceList
    */
    public DatumQuery materialSourceList(List<Integer> materialSourceList){
        this.materialSourceList = materialSourceList;
		return this;
    }
	
	/**
    * 设置  纸质材料份数
    * @param paperNum
    */
    public DatumQuery paperNum(Integer paperNum){
        setPaperNum(paperNum);
		return this;
    }

    /**
    * 设置 开始 纸质材料份数
    * @param paperNumStart
    */
    public DatumQuery paperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
		return this;
    }


    /**
    * 设置 结束 纸质材料份数
    * @param paperNumEnd
    */
    public DatumQuery paperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
		return this;
    }


    /**
    * 设置 增加 纸质材料份数
    * @param paperNumIncrement
    */
    public DatumQuery paperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
		return this;
    }


    /**
    * 设置 纸质材料份数
    * @param paperNumList
    */
    public DatumQuery paperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
		return this;
    }
	
	/**
    * 设置  纸质材料规格
    * @param paperGg
    */
    public DatumQuery paperGg(Integer paperGg){
        setPaperGg(paperGg);
		return this;
    }

    /**
    * 设置 开始 纸质材料规格
    * @param paperGgStart
    */
    public DatumQuery paperGgStart(Integer paperGgStart){
        this.paperGgStart = paperGgStart;
		return this;
    }


    /**
    * 设置 结束 纸质材料规格
    * @param paperGgEnd
    */
    public DatumQuery paperGgEnd(Integer paperGgEnd){
        this.paperGgEnd = paperGgEnd;
		return this;
    }


    /**
    * 设置 增加 纸质材料规格
    * @param paperGgIncrement
    */
    public DatumQuery paperGgIncrement(Integer paperGgIncrement){
        this.paperGgIncrement = paperGgIncrement;
		return this;
    }


    /**
    * 设置 纸质材料规格
    * @param paperGgList
    */
    public DatumQuery paperGgList(List<Integer> paperGgList){
        this.paperGgList = paperGgList;
		return this;
    }
	
	/**
    * 设置  减免模式
    * @param jianmMs
    */
    public DatumQuery jianmMs(Integer jianmMs){
        setJianmMs(jianmMs);
		return this;
    }

    /**
    * 设置 开始 减免模式
    * @param jianmMsStart
    */
    public DatumQuery jianmMsStart(Integer jianmMsStart){
        this.jianmMsStart = jianmMsStart;
		return this;
    }


    /**
    * 设置 结束 减免模式
    * @param jianmMsEnd
    */
    public DatumQuery jianmMsEnd(Integer jianmMsEnd){
        this.jianmMsEnd = jianmMsEnd;
		return this;
    }


    /**
    * 设置 增加 减免模式
    * @param jianmMsIncrement
    */
    public DatumQuery jianmMsIncrement(Integer jianmMsIncrement){
        this.jianmMsIncrement = jianmMsIncrement;
		return this;
    }


    /**
    * 设置 减免模式
    * @param jianmMsList
    */
    public DatumQuery jianmMsList(List<Integer> jianmMsList){
        this.jianmMsList = jianmMsList;
		return this;
    }
	
	/**
    * 设置  盖章方式
    * @param sealWay
    */
    public DatumQuery sealWay(Integer sealWay){
        setSealWay(sealWay);
		return this;
    }

    /**
    * 设置 开始 盖章方式
    * @param sealWayStart
    */
    public DatumQuery sealWayStart(Integer sealWayStart){
        this.sealWayStart = sealWayStart;
		return this;
    }


    /**
    * 设置 结束 盖章方式
    * @param sealWayEnd
    */
    public DatumQuery sealWayEnd(Integer sealWayEnd){
        this.sealWayEnd = sealWayEnd;
		return this;
    }


    /**
    * 设置 增加 盖章方式
    * @param sealWayIncrement
    */
    public DatumQuery sealWayIncrement(Integer sealWayIncrement){
        this.sealWayIncrement = sealWayIncrement;
		return this;
    }


    /**
    * 设置 盖章方式
    * @param sealWayList
    */
    public DatumQuery sealWayList(List<Integer> sealWayList){
        this.sealWayList = sealWayList;
		return this;
    }
	
	/**
    * 设置  是否减免
    * @param isjianm
    */
    public DatumQuery isjianm(Integer isjianm){
        setIsjianm(isjianm);
		return this;
    }

    /**
    * 设置 开始 是否减免
    * @param isjianmStart
    */
    public DatumQuery isjianmStart(Integer isjianmStart){
        this.isjianmStart = isjianmStart;
		return this;
    }


    /**
    * 设置 结束 是否减免
    * @param isjianmEnd
    */
    public DatumQuery isjianmEnd(Integer isjianmEnd){
        this.isjianmEnd = isjianmEnd;
		return this;
    }


    /**
    * 设置 增加 是否减免
    * @param isjianmIncrement
    */
    public DatumQuery isjianmIncrement(Integer isjianmIncrement){
        this.isjianmIncrement = isjianmIncrement;
		return this;
    }


    /**
    * 设置 是否减免
    * @param isjianmList
    */
    public DatumQuery isjianmList(List<Integer> isjianmList){
        this.isjianmList = isjianmList;
		return this;
    }
	
	/**
    * 设置  材料是否容缺
    * @param isLack
    */
    public DatumQuery isLack(Integer isLack){
        setIsLack(isLack);
		return this;
    }

    /**
    * 设置 开始 材料是否容缺
    * @param isLackStart
    */
    public DatumQuery isLackStart(Integer isLackStart){
        this.isLackStart = isLackStart;
		return this;
    }


    /**
    * 设置 结束 材料是否容缺
    * @param isLackEnd
    */
    public DatumQuery isLackEnd(Integer isLackEnd){
        this.isLackEnd = isLackEnd;
		return this;
    }


    /**
    * 设置 增加 材料是否容缺
    * @param isLackIncrement
    */
    public DatumQuery isLackIncrement(Integer isLackIncrement){
        this.isLackIncrement = isLackIncrement;
		return this;
    }


    /**
    * 设置 材料是否容缺
    * @param isLackList
    */
    public DatumQuery isLackList(List<Integer> isLackList){
        this.isLackList = isLackList;
		return this;
    }
	/**
    * 设置 材料地址
    * @param ybUrl
    */
    public DatumQuery ybUrl(String ybUrl){
        setYbUrl(ybUrl);
		return this;
    }


    /**
    * 设置 材料地址
    * @param ybUrlList
    */
    public DatumQuery ybUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
		return this;
    }
	/**
    * 设置 来源渠道说明
    * @param materialSourceSm
    */
    public DatumQuery materialSourceSm(String materialSourceSm){
        setMaterialSourceSm(materialSourceSm);
		return this;
    }


    /**
    * 设置 来源渠道说明
    * @param materialSourceSmList
    */
    public DatumQuery materialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
		return this;
    }
	/**
    * 设置 填报须知
    * @param remarkSub
    */
    public DatumQuery remarkSub(String remarkSub){
        setRemarkSub(remarkSub);
		return this;
    }


    /**
    * 设置 填报须知
    * @param remarkSubList
    */
    public DatumQuery remarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
		return this;
    }
	/**
    * 设置 受理标准
    * @param remark
    */
    public DatumQuery remark(String remark){
        setRemark(remark);
		return this;
    }


    /**
    * 设置 受理标准
    * @param remarkList
    */
    public DatumQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }
	/**
    * 设置 要求提供材料的依据
    * @param clauseContent
    */
    public DatumQuery clauseContent(String clauseContent){
        setClauseContent(clauseContent);
		return this;
    }


    /**
    * 设置 要求提供材料的依据
    * @param clauseContentList
    */
    public DatumQuery clauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
		return this;
    }
	/**
    * 设置 备注
    * @param summary
    */
    public DatumQuery summary(String summary){
        setSummary(summary);
		return this;
    }


    /**
    * 设置 备注
    * @param summaryList
    */
    public DatumQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }
	
	/**
    * 设置  0正常  1删除
    * @param valid
    */
    public DatumQuery valid(Integer valid){
        setValid(valid);
		return this;
    }

    /**
    * 设置 开始 0正常  1删除
    * @param validStart
    */
    public DatumQuery validStart(Integer validStart){
        this.validStart = validStart;
		return this;
    }


    /**
    * 设置 结束 0正常  1删除
    * @param validEnd
    */
    public DatumQuery validEnd(Integer validEnd){
        this.validEnd = validEnd;
		return this;
    }


    /**
    * 设置 增加 0正常  1删除
    * @param validIncrement
    */
    public DatumQuery validIncrement(Integer validIncrement){
        this.validIncrement = validIncrement;
		return this;
    }


    /**
    * 设置 0正常  1删除
    * @param validList
    */
    public DatumQuery validList(List<Integer> validList){
        this.validList = validList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public DatumQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public DatumQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public DatumQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public DatumQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public DatumQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public DatumQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public DatumQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public DatumQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DatumQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}